Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver

# Class CircuitBreakerClientWithAsyncBulkhead

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver.CircuitBreakerClientWithAsyncBulkhead

@CircuitBreaker(requestVolumeThreshold=3, failureRatio=1.0, delay=50000L) @Bulkhead(value=1, waitingTaskQueue=1) @Asynchronous @RequestScoped public class CircuitBreakerClientWithAsyncBulkhead extends Object
Client bean with CircuitBreaker, Bulkhead and Asynchronous

## Constructor Summary

Constructors
Constructor
Description
`CircuitBreakerClientWithAsyncBulkhead()`

## Method Summary

Modifier and Type
Method
Description
`Future<?>`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CircuitBreakerClientWithAsyncBulkhead

public CircuitBreakerClientWithAsyncBulkhead()

## Method Details

### test

public Future<?> test(Barrier barrier)